# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.create(
name="example-assistant",
instructions="Use American English for spelling and grammar.",
metadata={"team": "customer-support", "version": "1.0"},
region="us",
)
print(assistant.name, assistant.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.create({
name: 'example-assistant',
instructions: 'Use American English for spelling and grammar.',
metadata: { team: 'customer-support', version: '1.0' },
region: 'us',
});
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"region":"us"
}'
{
"name": "example-assistant",
"status": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
},
"host": "https://prod-1-data.ke.pinecone.io",
"region": "<string>",
"created_at": "2025-10-01T12:30:00.000Z",
"updated_at": "2025-10-01T12:45:00.000Z"
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Uploaded file can only currently be either a pdf or txt file"
},
"status": 400
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"message": "Too many get or list assistant requests, try again later"
},
"status": 429
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Assistants
Create an assistant
Create an assistant. This is where you specify the underlying training model, which cloud provider you would like to deploy with, and more.
For guidance and examples, see Create an assistant
POST
/
assistants
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.create(
name="example-assistant",
instructions="Use American English for spelling and grammar.",
metadata={"team": "customer-support", "version": "1.0"},
region="us",
)
print(assistant.name, assistant.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.create({
name: 'example-assistant',
instructions: 'Use American English for spelling and grammar.',
metadata: { team: 'customer-support', version: '1.0' },
region: 'us',
});
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"region":"us"
}'
{
"name": "example-assistant",
"status": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
},
"host": "https://prod-1-data.ke.pinecone.io",
"region": "<string>",
"created_at": "2025-10-01T12:30:00.000Z",
"updated_at": "2025-10-01T12:45:00.000Z"
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Uploaded file can only currently be either a pdf or txt file"
},
"status": 400
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"message": "Too many get or list assistant requests, try again later"
},
"status": 429
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.create(
name="example-assistant",
instructions="Use American English for spelling and grammar.",
metadata={"team": "customer-support", "version": "1.0"},
region="us",
)
print(assistant.name, assistant.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.create({
name: 'example-assistant',
instructions: 'Use American English for spelling and grammar.',
metadata: { team: 'customer-support', version: '1.0' },
region: 'us',
});
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"region":"us"
}'
Body
application/json
The desired configuration to create an assistant.
The configuration needed to create an assistant.
Response
Create request successful.
Describes the configuration and status of a Pinecone Assistant.
Was this page helpful?